require "game_object"

Asteroid = class("Asteroid", GameObject)
--[[
-- x, y - coords
-- v - velocity
-- a - angle of rotation about the center of the object
-- av - rotation velocity
-- s - size, one of: "large", "medium", "small"
]]--
function Asteroid:initialize(x, y, v, a, av, s, hc)
  if s == "large" then
    self.i = love.graphics.newImage("asset/img/asteroid_64x64.png") 
  elseif s == "medium" then
    self.i = love.graphics.newImage("asset/img/asteroid_32x32.png")
  else 
    self.i = love.graphics.newImage("asset/img/asteroid_16x16.png")
  end
  GameObject.initialize(self, x, y, true, v, a, av, self.i, hc)
  self.x_heading = math.cos(a)
  self.y_heading = math.sin(a)
  self.s = s

  -- Override the default collision shape: a rectangle provided by GameObject
  if s == "large" then
    self.collisionShape = hc.polygon(19, 7,  51, 13,  55, 33,  28, 55,  13, 49,  7, 21)
  elseif s == "medium" then
    self.collisionShape = hc.polygon(3, 7,  13, 3,  25, 9,  27, 21,  21, 26,  7, 24,  5, 18,  7, 14)
    else
      self.collisionShape = hc.polygon(4, 6,  10, 3,  19, 6,  20, 12,  11, 20,  6, 17,  4, 11)
  end
  self.collisionShape:rotate(self.a)

end

function Asteroid:update(dt)
  self.x = self.x + self.v * dt * self.x_heading
  self.y = self.y + self.v * dt * self.y_heading

  GameObject.update(self, dt)
end