class = require "lib.middleclass.middleclass"

Menu = class("Menu")

function Menu:initialize()
  self.fade_time = 0
  self.fade_alpha = 0
end

function Menu:update(dt)
  self.fade_time = self.fade_time + 4 * dt
  self.fade_alpha = 200 + (55 * math.sin(self.fade_time))
end

function Menu:draw()
  local default_font = love.graphics.getFont()
  local cr, cg, cb, ca = love.graphics.getColor()
  
  love.graphics.print(REVISION, 2, 2)
  
  local font = love.graphics.newFont("asset/font/Atmosphere-Bold.TTF", 48)
  love.graphics.setFont(font)
  love.graphics.setColor(0, 172, 242)
  local str_w = font:getWidth("S P A C E    R O C K S")
  love.graphics.print("S P A C E    R O C K S", (WINDOW_WIDTH - str_w) / 2, 52)
  
  love.graphics.setColor(255, 255, 255)

  font = love.graphics.newFont(12)
  love.graphics.setFont(font)
--  love.graphics.print("Atari 1979 Asteroids\nLÖVE a.k.a. Love2D\nZeroBane Studio\nLabChirp\nPaint.NET", 100, 200)
  love.graphics.print("CREDITS :   ATARI 1979 ASTEROIDS   -   LÖVE A.K.A. LOVE2D   -   ZEROBANE STUDIO   -   LABCHIRP   -   PAINT.NET", 100, WINDOW_HEIGHT - 20)

  font = love.graphics.newFont("asset/font/Atmosphere-Regular.TTF", 24)
  love.graphics.setFont(font)
  love.graphics.print("A, LEFT: ROTATE LEFT\nD, RIGHT: ROTATE RIGHT\nW, UP : ENGAGE THRUSTERS, \nSPACE : SHOOT", 100, 200)
  
  -- Fade game start and quit instructions in and out
  love.graphics.setColor(255, 255, 255, self.fade_alpha)
  love.graphics.print("ENTER: START GAME\nESC: QUIT", 100, 460)
  
  love.graphics.setFont(default_font)
  love.graphics.setColor(cr, cg, cb, ca)
end

