--[[
-- Thrust flame object. Not checked for collisions, but it's
-- nice to use the drawing, update and screen wrap capabilities
-- of GameObject.
--]]
require "game_object"

Thrust = class("Thrust", GameObject)

--[[
-- x, y : coordinates where the thurst comes out of the player ship
-- i : thrust image
-- hc: instance of HardonCollider (required by GameObject, but not used
--     for collision detection of the thrust object.
]]--
function Thrust:initialize(x, y, i, hc)
  GameObject.initialize(self, x, y, true, 0, 0, 0, i, hc)
  self.ox = i:getWidth()
  self.oy = i:getHeight() / 2
end

--[[
-- x, y : coordinates where thrust comes out of the player ship
-- a : angle of the ship
]]--
function Thrust:update(x, y, a)
  self.x = x
  self.y = y
  self.a = a
end
